__gnu_pbds::sample_trie_access_traits Struct Reference

`#include <sample_trie_access_traits.hpp>`

## Public Types

enum | { max_size }
typedef std::string::const_iterator | const_iterator
typedef char | e_type
typedef rebind_traits< _Alloc, key_type >::const_reference | key_const_reference
typedef std::string | key_type
typedef std::size_t | size_type

## Static Public Member Functions

static const_iterator | begin (key_const_reference)
static size_type | e_pos (e_type)
static const_iterator | end (key_const_reference)

## Detailed Description

A sample trie element access traits.

Definition at line 47 of file sample_trie_access_traits.hpp.

## Member Typedef Documentation

## const_iterator

typedef std::string::const_iterator __gnu_pbds::sample_trie_access_traits::const_iterator

Definition at line 54 of file sample_trie_access_traits.hpp.

## e_type

typedef char __gnu_pbds::sample_trie_access_traits::e_type

Element type.

Definition at line 57 of file sample_trie_access_traits.hpp.

## key_const_reference

typedef rebind_traits<_Alloc,key_type>::const_reference __gnu_pbds::sample_trie_access_traits::key_const_reference

Definition at line 53 of file sample_trie_access_traits.hpp.

## key_type

typedef std::string __gnu_pbds::sample_trie_access_traits::key_type

Definition at line 50 of file sample_trie_access_traits.hpp.

## size_type

typedef std::size_t __gnu_pbds::sample_trie_access_traits::size_type

Definition at line 49 of file sample_trie_access_traits.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Definition at line 59 of file sample_trie_access_traits.hpp.

## Member Function Documentation

## begin()

static const_iterator __gnu_pbds::sample_trie_access_traits::begin | ( | key_const_reference |  | ) |

inline static

Returns a const_iterator to the first element of r_key.

## e_pos()

static size_type __gnu_pbds::sample_trie_access_traits::e_pos | ( | e_type |  | ) |

inline static

Maps an element to a position.

## end()

static const_iterator __gnu_pbds::sample_trie_access_traits::end | ( | key_const_reference |  | ) |

inline static

Returns a const_iterator to the after-last element of r_key.

The documentation for this struct was generated from the following file:

- sample_trie_access_traits.hpp